Skip to main content
POST
Create a deployment with an empty starter project and trigger its first build
Scaffolds an empty starter project and triggers the first build. When creationMethod is github, no starter project is scaffolded — connect a repository afterwards via POST /build/api/v1/deployments/:deploymentId/github/connect.

Authorizations

Authorization
string
header
required

Token authentication. Send Authorization: Bearer <YOUR_TOKEN>.

Body

application/json

CreateDeploymentInput

cloudProvider
enum<string>
required
Available options:
cubecloud,
aws,
gcp
creationStep
enum<string>
required
Available options:
project,
upload,
schema,
github,
ssh,
databases,
ready,
demo
isManaged
boolean
required
name
string
required
region
string
required
targetPlatform
string
required
creationMethod
enum<string> | null
Available options:
upload,
cubecloud,
github,
ssh
deployMode
enum<string> | null
Available options:
git,
cli

Response

200 - application/json
creationStep
enum<string>
required
Available options:
project,
upload,
schema,
github,
ssh,
databases,
ready,
demo
deploymentUrl
string
required
id
integer
required
name
string
required